Bug 1868716 - [OVN] need to get OVN NB and SB DBs with oc must-gather
Summary: [OVN] need to get OVN NB and SB DBs with oc must-gather
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Andrew Stoycos
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-13 15:10 UTC by Tim Rozet
Modified: 2020-09-21 12:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 12:30:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift must-gather pull 169 None closed Bug 1868716: Implements more log collection for Openshift networking 2020-09-21 12:30:32 UTC

Description Tim Rozet 2020-08-13 15:10:59 UTC
Description of problem:
We currently do not have the DBs in the must gather, which is pretty much required for debugging OVN issues. We need to include this when we pull the must gather.

Comment 1 Andrew Stoycos 2020-08-13 20:32:52 UTC
After some digging it seems that the functionality we're looking for has already been implemented here (https://github.com/openshift/must-gather/blob/master/collection-scripts/gather_network_logs).  Specifically we need to copy the OVN NB and OVN SB databases along with dumping the OVS ports as can be seen here (https://github.com/openshift/must-gather/blob/master/collection-scripts/gather_network_logs#L54) and here (https://github.com/openshift/must-gather/blob/master/collection-scripts/gather_network_logs#L67). 

However for some reason the collection scripts for OVN and networking in general are not called by the main gather script here (https://github.com/openshift/must-gather/blob/master/collection-scripts/gather#L40) I am currently building my own must gather image and making sure everything checks out on a cluster bot 4.6 OCP cluster before I make a PR for activating the extra collection scripts

Comment 2 Andrew Stoycos 2020-08-24 18:58:19 UTC
The following PR should remedy this https://github.com/openshift/must-gather/pull/169

Comment 5 Ross Brattain 2020-09-01 14:14:53 UTC
Verified on 4.6.0-0.nightly-2020-09-01-042030

-rw-r--r--. 1     80 Sep  1 09:59 o46g2c-qb28b-master-0.c.openshift-qe.internal_nbdb.gz
-rw-r--r--. 1     80 Sep  1 09:59 o46g2c-qb28b-master-0.c.openshift-qe.internal_sbdb.gz
-rw-r--r--. 1     80 Sep  1 09:59 o46g2c-qb28b-master-1.c.openshift-qe.internal_nbdb.gz
-rw-r--r--. 1     80 Sep  1 09:59 o46g2c-qb28b-master-2.c.openshift-qe.internal_sbdb.gz

[must-gather-ncrs4] OUT node_core_dumps/o46g2c-qb28b-master-0.c.openshift-qe.internal_core_dump
[must-gather-ncrs4] OUT node_core_dumps/o46g2c-qb28b-master-1.c.openshift-qe.internal_core_dump
[must-gather-ncrs4] OUT node_core_dumps/o46g2c-qb28b-master-2.c.openshift-qe.internal_core_dump
[must-gather-ncrs4] OUT node_core_dumps/o46g2c-qb28b-worker-a-pt9hm.c.openshift-qe.internal_core_dump
[must-gather-ncrs4] OUT node_core_dumps/o46g2c-qb28b-worker-b-bfln2.c.openshift-qe.internal_core_dump
[must-gather-ncrs4] OUT node_core_dumps/o46g2c-qb28b-worker-c-229j8.c.openshift-qe.internal_core_dump


Note You need to log in before you can comment on or make changes to this bug.